# Draw
TKTopTest
MeshTest

# MeshTest_DrawableUVDomain Class Reference

a drawable 2d mesh of a domain.

`#include <MeshTest_DrawableUVDomain.hxx>`

Inheritance diagram for MeshTest_DrawableUVDomain:

[legend]

## Public Member Functions

Standard_EXPORT | MeshTest_DrawableUVDomain (const Handle(BRepMesh_FastDiscret)&D, const Standard_Integer Dom)
virtual Standard_EXPORT Standard_Boolean | Is3D () const
| Is a 3D object. (Default True). .
Standard_EXPORT void | DrawOn (Draw_Display &dis) const
virtual Standard_EXPORT Handle_Draw_Drawable3D | Copy () const
| For variable copy. .
Standard_EXPORT TColStd_SequenceOfInteger & | Edges ()
Standard_EXPORT TColStd_SequenceOfInteger & | Vertices ()
Standard_EXPORT TColStd_SequenceOfInteger & | Triangles ()
virtual Standard_EXPORT void | Dump (Standard_OStream &S) const
| For variable dump. .
virtual Standard_EXPORT void | Whatis (Draw_Interpretor &S) const
| For variable whatis command. Set as a result the type of the variable. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_BRepMesh_FastDiscret | myMesh
Standard_Integer | myDomain
TColStd_SequenceOfInteger | myVertices
TColStd_SequenceOfInteger | myEdges
TColStd_SequenceOfInteger | myTriangles

## Constructor & Destructor Documentation

Standard_EXPORT MeshTest_DrawableUVDomain::MeshTest_DrawableUVDomain | ( | const Handle(BRepMesh_FastDiscret)& | D,
|  | const Standard_Integer | Dom
| ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_Draw_Drawable3D MeshTest_DrawableUVDomain::Copy | ( |  | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT void MeshTest_DrawableUVDomain::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Implements Draw_Drawable3D.

virtual Standard_EXPORT void MeshTest_DrawableUVDomain::Dump | ( | Standard_OStream & | S | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT TColStd_SequenceOfInteger& MeshTest_DrawableUVDomain::Edges | ( |  | ) |

Standard_EXPORT const MeshTest_DrawableUVDomain::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Draw_Drawable3D.

virtual Standard_EXPORT Standard_Boolean MeshTest_DrawableUVDomain::Is3D | ( |  | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT TColStd_SequenceOfInteger& MeshTest_DrawableUVDomain::Triangles | ( |  | ) |

Standard_EXPORT TColStd_SequenceOfInteger& MeshTest_DrawableUVDomain::Vertices | ( |  | ) |

virtual Standard_EXPORT void MeshTest_DrawableUVDomain::Whatis | ( | Draw_Interpretor & | S | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

## Field Documentation

Standard_Integer MeshTest_DrawableUVDomain::myDomain `[private]`

TColStd_SequenceOfInteger MeshTest_DrawableUVDomain::myEdges `[private]`

Handle_BRepMesh_FastDiscret MeshTest_DrawableUVDomain::myMesh `[private]`

TColStd_SequenceOfInteger MeshTest_DrawableUVDomain::myTriangles `[private]`

TColStd_SequenceOfInteger MeshTest_DrawableUVDomain::myVertices `[private]`

The documentation for this class was generated from the following file:

- MeshTest_DrawableUVDomain.hxx